> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trophy.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete application API keys

> Delete application API keys by ID.



## OpenAPI

````yaml https://admin.trophy.so/v1/openapi delete /application-api-keys
openapi: 3.1.0
info:
  title: Trophy
  version: 1.19.0
servers:
  - x-fern-server-name: Admin API
    url: https://admin.trophy.so/v1
    description: Admin API
security: []
paths:
  /application-api-keys:
    servers:
      - url: https://admin.trophy.so/v1
        description: Admin API
    delete:
      tags:
        - Admin
      summary: Delete application API keys
      description: Delete application API keys by ID.
      operationId: admin_application_api_keys_delete
      parameters:
        - name: ids
          in: query
          description: >-
            Application API key IDs (UUIDs returned at creation time). Repeat
            the query param or provide a comma-separated list. Maximum 100 IDs
            per request.
          required: true
          schema:
            type: array
            items:
              type: string
              format: uuid
            maxItems: 100
          style: form
          explode: true
          examples:
            Single ID:
              value:
                - 550e8400-e29b-41d4-a716-446655440000
            Multiple IDs:
              value:
                - 550e8400-e29b-41d4-a716-446655440000
                - 550e8400-e29b-41d4-a716-446655440001
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteApplicationKeysResponse'
              examples:
                Success:
                  value:
                    deleted:
                      - id: 550e8400-e29b-41d4-a716-446655440000
                    issues: []
                Partial success:
                  value:
                    deleted:
                      - id: 550e8400-e29b-41d4-a716-446655440000
                    issues:
                      - id: 550e8400-e29b-41d4-a716-446655440999
                        severity: error
                        message: Application API key not found by ID
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '422':
          description: Unprocessible Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          source: |
            import { TrophyApiClient } from '@trophyso/node';

            const trophy = new TrophyApiClient({
              apiKey: 'YOUR_API_KEY'
            });

            const response = await trophy.admin.applicationApiKeys.delete({
              ids: [
                '550e8400-e29b-41d4-a716-446655440000',
                '550e8400-e29b-41d4-a716-446655440001'
              ]
            });
        - lang: python
          source: |
            from trophy import TrophyApi

            client = TrophyApi(api_key='YOUR_API_KEY')

            response = client.admin.applicationApiKeys.delete(
              ids=[
                '550e8400-e29b-41d4-a716-446655440000',
                '550e8400-e29b-41d4-a716-446655440001'
              ]
            )
        - lang: go
          source: >
            import (
              "context"

              trophyclient "github.com/trophyso/trophy-go/client"
              "github.com/trophyso/trophy-go/option"
            )


            client := trophyclient.NewClient(
              option.WithApiKey("YOUR_API_KEY"),
            )


            response, err :=
            client.Admin.ApplicationApiKeys.Delete(context.TODO(), nil)
components:
  schemas:
    DeleteApplicationKeysResponse:
      title: DeleteApplicationKeysResponse
      type: object
      description: Response containing deleted application API key IDs and any issues.
      properties:
        deleted:
          type: array
          items:
            $ref: '#/components/schemas/DeletedResource'
          description: Array of deleted application API key IDs.
        issues:
          type: array
          items:
            $ref: '#/components/schemas/AdminIssue'
          description: Array of issues encountered during deletion.
      required:
        - deleted
        - issues
    AdminErrorBody:
      title: AdminErrorBody
      type: object
      properties:
        error:
          type: string
      required:
        - error
    DeletedResource:
      title: DeletedResource
      type: object
      description: A deleted resource represented by ID.
      properties:
        id:
          type: string
          format: uuid
          description: The ID of the deleted resource.
      required:
        - id
    AdminIssue:
      title: AdminIssue
      type: object
      description: An issue encountered while processing an item in an admin API request.
      properties:
        id:
          type: string
          description: The ID of the resource the issue relates to, when applicable.
          example: 550e8400-e29b-41d4-a716-446655440000
        userId:
          type: string
          description: The ID of the user the issue relates to, when applicable.
          example: user-123
        boostId:
          type: string
          description: The ID of the points boost the issue relates to, when applicable.
          example: 550e8400-e29b-41d4-a716-446655440000
        index:
          type: integer
          description: >-
            The zero-based index of the item the issue relates to, when no
            resource ID exists yet.
          example: 0
        severity:
          type: string
          enum:
            - error
            - warning
          description: The severity level of the issue.
          example: warning
        message:
          type: string
          description: A human-readable description of the issue.
          example: Would exceed maximum freeze limit
      required:
        - severity
        - message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````